
package de.ivu.elect.presentation.staat.exchange;

import de.ivu.elect.business.exchange.entity.DateiImportArt;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.jee.exchange.ImportOptions;
import de.ivu.elect.presentation.exchange.ImportDescription;
import de.ivu.elect.presentation.staat.menu.StaatenGruppePageMenu;

public class StaatenGruppeImportDescription implements ImportDescription {

  private static final long serialVersionUID = 1L;

  public StaatenGruppeImportDescription() {
    super();
  }

  @Override
  public String getImportSearchViewId() {
    return StaatenGruppeImportSearchView.VIEW_ID;
  }

  @Override
  public String getImportFormatFestlegenViewId() {
    return StaatenGruppeImportFormatFestlegenView.VIEW_ID;
  }

  @Override
  public String getImportBestaetigenViewId() {
    return StaatenGruppeImportBestaetigenView.VIEW_ID;
  }

  @Override
  public DateiImportArt getDateiImportArt() {
    return DateiImportArt.STAATEN_GRUPPE_IMPORT;
  }

  @Override
  public boolean isConfirmationForImportNeeded() {
    return false;
  }

  @Override
  public UseCasePermission getUseCasePermission() {
    return UseCasePermission.STAATEN_GRUPPE_IMPORTIEREN;
  }

  @Override
  public boolean isSpecificPerWahlOrWahltermin() {
    return true;
  }

  @Override
  public String getPageMenuComponentName() {
    return StaatenGruppePageMenu.COMPONENT_NAME;
  }

  @Override
  public ImportOptions getDefaultImportOptions() {
    return ImportOptions.NEUE_DATEN_ANLEGEN_BESTEHENDE_DATEN_AKTUALISIEREN;
  }
}
